databases/p5-DBIWrapper - The NetBSD Packages Collection

Perl extension for generic DBI database access

DBIWrapper is a generic database Perl module for accessing
the Perl DBI database interface.  It provides the lowest level
of functionality needed by any program wanting to access
databases via the DBI.  Currently, DBIWrapper is only
aware of Pg (PostgreSQL), mysql (MySQL) and ODBC DBD
modules and how to work with them correctly.

Support for transactions on MySQL is now checked for and
if found to be available, the AutoCommit flag is turned
off so that transactions will be used.

Build dependencies

pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

textproc/p5-XML-LibXML databases/p5-DBI databases/p5-DBI lang/perl5 lang/perl5 databases/p5-DBI

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0aarch64p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0aarch64ebp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0alphap5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0alphap5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0earmv6hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0earmv6hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0earmv7hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0earmv7hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0i386p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0i386p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0powerpcp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0powerpcp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0sparc64p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0sparcp5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 10.0x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0aarch64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0aarch64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0alphap5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0alphap5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0earmp5-DBIWrapper-0.20nb19.tgz
NetBSD 9.0earmv6hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0earmv6hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0earmv7hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0earmv7hfp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0i386p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0i386p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0mips64ebp5-DBIWrapper-0.20nb19.tgz
NetBSD 9.0powerpcp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0powerpcp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0powerpcp5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0sparc64p5-DBIWrapper-0.20nb19.tgz
NetBSD 9.0x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.0x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.3x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.3x86_64p5-DBIWrapper-0.20nb20.tgz
NetBSD 9.3x86_64p5-DBIWrapper-0.20nb20.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.